Debian Bug report logs - #480533
"uninitialized value" warnings from Perl during install

version graph

Package: perl-base; Maintainer for perl-base is Niko Tyni <ntyni@debian.org>; Source for perl-base is src:perl.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 10 May 2008 18:21:01 UTC

Severity: important

Tags: d-i

Found in version perl/5.10.0-10

Fixed in version perl/5.10.0-12

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: "uninitialized value" warnings from Perl during install
Date: Sat, 10 May 2008 20:18:46 +0200
Package: debconf
Version: 1.5.21
Severity: important

I performed an installation of unstable to today and got quite a few
"Use of uninitialized value" warnings:

May 10 08:33:34 in-target: Preconfiguring packages ...
May 10 08:33:35 debconf: Obsolete command TITLE Configuring locales called
May 10 08:33:35 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.

and:

May 10 08:34:31 in-target: Processing triggers for man-db ...
May 10 08:34:32 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
May 10 08:34:32 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
May 10 08:34:32 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
May 10 08:34:32 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 480533@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Sat, 10 May 2008 14:37:29 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> May 10 08:33:34 in-target: Preconfiguring packages ...
> May 10 08:33:35 debconf: Obsolete command TITLE Configuring locales called
> May 10 08:33:35 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
> 
> and:
> 
> May 10 08:34:31 in-target: Processing triggers for man-db ...
> May 10 08:34:32 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
> May 10 08:34:32 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
> May 10 08:34:32 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
> May 10 08:34:32 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
 
AFAICS man-db's postinst does not use debconf when triggered, so I think
this is a general perl problem affecting both man-db's postinst and debconf.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 480533@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Sat, 10 May 2008 20:42:02 +0200
* Joey Hess <joeyh@debian.org> [2008-05-10 14:37]:
> AFAICS man-db's postinst does not use debconf when triggered, so I think
> this is a general perl problem affecting both man-db's postinst and debconf.

Not sure if you noticed, but the first example I quoted didn't relate
to man-db's postinst at all.  Just in case I misunderstood your reply.

May 10 08:33:10 in-target: Get:1 http://ftp.at.debian.org sid/main locales 2.7-10 [4431kB]
May 10 08:33:34 in-target: Preconfiguring packages ...
May 10 08:33:35 debconf: Obsolete command TITLE Configuring locales called
May 10 08:33:35 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
May 10 08:33:35 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
...

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 480533@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Sat, 10 May 2008 14:52:47 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> * Joey Hess <joeyh@debian.org> [2008-05-10 14:37]:
> > AFAICS man-db's postinst does not use debconf when triggered, so I think
> > this is a general perl problem affecting both man-db's postinst and debconf.
> 
> Not sure if you noticed, but the first example I quoted didn't relate
> to man-db's postinst at all.  Just in case I misunderstood your reply.
> 
> May 10 08:33:10 in-target: Get:1 http://ftp.at.debian.org sid/main locales 2.7-10 [4431kB]
> May 10 08:33:34 in-target: Preconfiguring packages ...
> May 10 08:33:35 debconf: Obsolete command TITLE Configuring locales called
> May 10 08:33:35 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
> May 10 08:33:35 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
> ...

Yes, that's exactly my point, you have man-db's postinst, and debconf,
two completly separate peices of code, both printing the same message.
The common thread is utf8_heavy.pl.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 480533@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Sat, 10 May 2008 20:55:27 +0200
* Joey Hess <joeyh@debian.org> [2008-05-10 14:52]:
> Yes, that's exactly my point, you have man-db's postinst, and debconf,
> two completly separate peices of code, both printing the same message.
> The common thread is utf8_heavy.pl.

Okay, now I understand.

Should this bug be reassigned to perl then?  Or can you investigate
some more what's going on?

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 480533@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Sat, 10 May 2008 17:36:14 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> May 10 08:34:31 in-target: Processing triggers for man-db ...
> May 10 08:34:32 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
> May 10 08:34:32 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
> May 10 08:34:32 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
> May 10 08:34:32 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.

On second look, the errors are coming from debconf-apt-progress. 

The only way I can see there being an uninitialised value at this point
is if the passthrough frontend failed to read a line from cdebconf.
Don't know why that would be happening, but it seems to happen
repeatedly in your log.

Running the installer with DEBCONF_DEBUG=1 might clarify what's
happening at the protocol level.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 480533@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Sun, 11 May 2008 20:42:04 +0200
* Joey Hess <joeyh@debian.org> [2008-05-10 17:36]:
> The only way I can see there being an uninitialised value at this point
> is if the passthrough frontend failed to read a line from cdebconf.
> Don't know why that would be happening, but it seems to happen
> repeatedly in your log.
> 
> Running the installer with DEBCONF_DEBUG=1 might clarify what's
> happening at the protocol level.

Sorry, but how do I do this?  I pass this to the kernel command line
but the logs don't contain any more info,

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 480533@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Sun, 11 May 2008 18:42:55 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> * Joey Hess <joeyh@debian.org> [2008-05-10 17:36]:
> > The only way I can see there being an uninitialised value at this point
> > is if the passthrough frontend failed to read a line from cdebconf.
> > Don't know why that would be happening, but it seems to happen
> > repeatedly in your log.
> > 
> > Running the installer with DEBCONF_DEBUG=1 might clarify what's
> > happening at the protocol level.
> 
> Sorry, but how do I do this?  I pass this to the kernel command line
> but the logs don't contain any more info,

Try DEBCONF_DEBUG=. at the kernel command line, that should work for
both the cdebconf and debconf sides.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 480533@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: 480533@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Mon, 12 May 2008 11:17:19 +0200
* Joey Hess <joeyh@debian.org> [2008-05-11 18:42]:
> Try DEBCONF_DEBUG=. at the kernel command line, that should work for
> both the cdebconf and debconf sides.

Again, nothing shows up in the logs.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 480533@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 480533@bugs.debian.org
Cc: 480533-submitter@bugs.debian.org, debian-boot@lists.debian.org
Subject: Bug#480533: "uninitialized value" warnings from Perl during install
Date: Mon, 19 May 2008 12:22:12 +0200
[Message part 1 (text/plain, inline)]
tag 480533 d-i
tag 478207 d-i
thanks

Now that perl etc. has migrated to testing I also see these on i386. They
show up as soon as packages get apt-installed during base-installer.

This could be a blocker for the D-I Beta2 release.

Log with debconf debugging for apt-install of "eject" attached.

Cheers,
FJP

[debconf.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: d-i Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Mon, 19 May 2008 10:30:20 GMT) Full text and rfc822 format available.

Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#480533. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 480533@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Frans Pop <elendil@planet.nl>, 480533@bugs.debian.org
Cc: debian-boot@lists.debian.org, 480533-submitter@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Tue, 20 May 2008 18:11:19 -0400
[Message part 1 (text/plain, inline)]
I don't see any protocol problems in the log.

May 19 10:13:11 in-target: debconf (developer): ----> DATA debconf-apt-progress/info type text
May 19 10:13:11 in-target: debconf (developer): <---- 0 OK
May 19 10:13:11 in-target: Use of uninitialized value $x in scalar assignment at /usr/share/perl/5.10/utf8_heavy.pl line 242, <GEN0> line 1.
May 19 10:13:11 in-target: Use of uninitialized value $x in pattern match (m//) at /usr/share/perl/5.10/utf8_heavy.pl line 243, <GEN0> line 1.
May 19 10:13:11 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
May 19 10:13:11 in-target: Use of uninitialized value in split at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 68, <GEN0> line 1.
May 19 10:13:11 in-target: debconf (developer): ----> DATA debconf-apt-progress/info description Preparing eject

        debug developer => "<---- $reply";
        my ($tag, $val) = split(' ', $reply, 2);

The first line of code succeeded and printed $reply, which was the "0 OK".
In the second line of code, $reply has somehow become undef.
I don't understand how that could happen! 

Apparently, perl's utf-8 output layer is coming into the picture -- that's
where the utf8_heavy comes into play. Perhaps it is somehow unsetting $reply.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#480533. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #68 received at 480533@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Frans Pop <elendil@planet.nl>, 480533@bugs.debian.org
Cc: debian-boot@lists.debian.org, 480533-submitter@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#480533: "uninitialized value" warnings from Perl during install
Date: Tue, 20 May 2008 19:40:18 -0400
[Message part 1 (text/plain, inline)]
I've reproduced this and done some debugging.

If I install perl (not just perl-base), the uninitialised value goes away!

I'm leaning solidly toward this being a perl problem now, and it seems
it's a problem in the perl-base package, possibly missing something pulled
in if full perl is installed.



It seems that the call to split is sometimes causing this uninitalised value
warning. I've verified that it can happen when $reply has a value such as "0
multiselect escape " when going into the split. And it is still defined when
coming out, AND both values split out are defined and correct. So what's
uninitialised?

Here's a backtrace I got of how SWASHNEW gets called. This call seems
to be done implicity by perl.

May 20 23:05:11 in-target: 	utf8::SWASHNEW('utf8', 'IsSpacePerl', undef, 1, 0) called at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 74
May 20 23:05:11 in-target: 	Debconf::FrontEnd::Passthrough::talk('Debconf::FrontEnd::Passthrough=HASH(0x853aa58)', 'CAPB', 'backup') called at /usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 113
May 20 23:05:11 in-target: 	Debconf::FrontEnd::Passthrough::capb_backup('Debconf::FrontEnd::Passthrough=HASH(0x853aa58)', 1) called at /usr/share/perl5/Debconf/ConfModule.pm line 250
May 20 23:05:11 in-target: 	Debconf::ConfModule::command_capb('Debconf::ConfModule=HASH(0x8661f10)', 'backup', 'multiselect') called at /usr/share/perl5/Debconf/ConfModule.pm line 132
May 20 23:05:11 in-target: 	Debconf::ConfModule::process_command('Debconf::ConfModule=HASH(0x8661f10)', 'CAPB backup multiselect') called at /usr/share/perl5/Debconf/ConfModule.pm line 74
May 20 23:05:11 in-target: 	Debconf::ConfModule::communicate('Debconf::ConfModule=HASH(0x8661f10)') called at /usr/sbin/dpkg-preconfigure line 133

Tracing through SWASHNEW, I see:

- $extras is not set, because $list ($_[2]) is undef.
- So 'for my $x ($extras)' just sets $x to undef, causing 2
  uninitialised value warnings as code in the loop operates on $x.
- I'm not sure what it returns exactly (hard to tell w/o Data::Dumper,
  which is in perl-modules), but I suspect that it contains some
  sort of uninitialised value..

In debconf, I can work around the perl problem and avoid the warning messages
with this change:

Index: Debconf/FrontEnd/Passthrough.pm
===================================================================
--- Debconf/FrontEnd/Passthrough.pm	(revision 2280)
+++ Debconf/FrontEnd/Passthrough.pm	(working copy)
@@ -95,7 +95,7 @@
 	$reply = <$readfh>;
 	chomp($reply);
 	debug developer => "<---- $reply";
-	my ($tag, $val) = split(' ', $reply, 2);
+	my ($tag, $val) = split(/ /, $reply, 2);
 	$val = '' unless defined $val;
 	$val = Debconf::Encoding::convert("UTF-8", $val);
 
So I think that SWASHNEW is getting called incorrectly somehow for
the implied whitespace-matching regexp in the ' ' pattern passed to
split.

FWIW, this is the only instance of split(' ', ...) in debconf, aside from
one in a rarely used code path. But I don't see anything wrong with
the code in debconf, so I think that rather than change those, this needs
to be reassigned to perl-base.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#480533. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#480533; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #76 received at 480533@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 480533@bugs.debian.org
Subject: reassigning to perl-base
Date: Wed, 21 May 2008 13:07:14 -0400
[Message part 1 (text/plain, inline)]
Niko, I'm reassgning this to perl-base because it seems to be missing
some file that is in perl, that causes split(' ') to print uninitialised
value messages like described earlier in this bug report.

I haven't managed to reproduce it outside of the d-i environment. Can
you guess at what might be missed from the info given, or will I need to
reproduce this in d-i, and get a strace of perl to see what file it's
failing to find?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `debconf' to `perl-base'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 21 May 2008 17:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480533; Package perl-base. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #83 received at 480533@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Joey Hess <joeyh@debian.org>, 480533@bugs.debian.org
Subject: Re: Bug#480533: reassigning to perl-base
Date: Wed, 21 May 2008 20:44:54 +0300
found 480533 5.10.0-10
thanks

On Wed, May 21, 2008 at 01:07:14PM -0400, Joey Hess wrote:
> Niko, I'm reassgning this to perl-base because it seems to be missing
> some file that is in perl, that causes split(' ') to print uninitialised
> value messages like described earlier in this bug report.
> 
> I haven't managed to reproduce it outside of the d-i environment. Can
> you guess at what might be missed from the info given, or will I need to
> reproduce this in d-i, and get a strace of perl to see what file it's
> failing to find?

It's reproducible with just this when only perl-base is installed:

% perl -w -e 'my @a=split(" ", "\x{3af}", 2)'

Diffing the traces, the missing thing is

> open("/usr/share/perl/5.10/unicore/lib/gc_sc/SpacePer.pl", O_RDONLY) = 3

OMG, I certainly hope we don't need all this in perl-base:

% ls /usr/share/perl/5.10/unicore/lib/gc_sc/|wc -l
352

but looking at SWASHNEW() in /usr/share/perl/5.10/utf8_heavy.pl, we might.
-- 
Niko Tyni   ntyni@debian.org




Bug marked as found in version 5.10.0-10. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 21 May 2008 17:48:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #90 received at 480533-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 480533-close@bugs.debian.org
Subject: Bug#480533: fixed in aptitude 0.4.11.3-1
Date: Tue, 27 May 2008 05:32:04 +0000
Source: aptitude
Source-Version: 0.4.11.3-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.3-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.3-1_i386.deb
aptitude-doc-cs_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.3-1_all.deb
aptitude-doc-en_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.3-1_all.deb
aptitude-doc-fi_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.3-1_all.deb
aptitude-doc-fr_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.3-1_all.deb
aptitude-doc-ja_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.3-1_all.deb
aptitude_0.4.11.3-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.3-1.diff.gz
aptitude_0.4.11.3-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.3-1.dsc
aptitude_0.4.11.3-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.3-1_i386.deb
aptitude_0.4.11.3.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 May 2008 21:25:26 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.3-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 333468 475740 476344 476732 476749 476835 476837 477165 477295 480062 480063 480533 481007 481458
Changes: 
 aptitude (0.4.11.3-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - "aptitude unhold" should work now. (Closes: #477165)
 .
     - Fixed almost complete breakage of "aptitude changelog". (Closes: #481458)
 .
     - Fixed retrieving the changelogs of bin-nmued packages from the curses
       interface. (Closes: #333468)
 .
     - Always be at least as quiet as the user requested that we be.
       (Closes: #476749)
 .
     - Remove a stray hyphen in the output of --help. (Closes: #476835)
 .
     - Fix the manpage to talk about Recommends-Important instead of
       Install-Recommends. (Closes: #480533)
 .
     - Translation updates:
       * Brazilian Portuguese (Closes: #481007)
       * Danish (Closes: #476732)
       * French
       * Galician (Closes: #476837)
       * German (Closes: #476344)
       * Japanese
       * Norwegian Bokmal (Closes: #480063)
       * Polish (Closes: #480062)
       * Simplified Chinese (Closes: #475740)
       * Vietnamese (Closes: #477295)
Checksums-Sha1: 
 b270ad157453d8f2035487ec9dd4af367bf9c4dc 1382 aptitude_0.4.11.3-1.dsc
 86b6efce71f3a5fc2663e0729d6e1bf1a68077e7 5664563 aptitude_0.4.11.3.orig.tar.gz
 f014abb222ab31eba1f409d0617b8f5220ddf1c1 34921 aptitude_0.4.11.3-1.diff.gz
 22d945b681f117c9b1261b5a035011701793384d 344616 aptitude-doc-cs_0.4.11.3-1_all.deb
 b38d3148fe0ca12634c9a8ec30cd6aa5f16735d5 352134 aptitude-doc-en_0.4.11.3-1_all.deb
 3a66687fe4091e8cfc62b5c5391fff646c1ccef1 263082 aptitude-doc-fi_0.4.11.3-1_all.deb
 d64410f7c9d9d688652cfdd181f2ff93ec778a78 297042 aptitude-doc-fr_0.4.11.3-1_all.deb
 c3b092a924db6d6f75f4b8245cde32da80178317 362578 aptitude-doc-ja_0.4.11.3-1_all.deb
 ca72c69889a499fae0537363d5f213861e45362a 2837896 aptitude_0.4.11.3-1_i386.deb
 0c5443e1fbe4920a041e5032bc9db12b79e25eb8 6749638 aptitude-dbg_0.4.11.3-1_i386.deb
Checksums-Sha256: 
 7303f8a539492b0888aaf74d82de7ba44f01ae3ffddc0dca34639ff4ade32214 1382 aptitude_0.4.11.3-1.dsc
 cf9ed9b0087f669b0a16d068211660118f17f68c979451880753b95d4a57a6e3 5664563 aptitude_0.4.11.3.orig.tar.gz
 ee0d797baefb2809bc8f961bb2f774b4fa9bf0e0af92c6a15a2369b760e14c7c 34921 aptitude_0.4.11.3-1.diff.gz
 9a0ff8c4fc9ed7332cd87f92d9c6d6b9e7041b9c4c6a24d5bb0e240c04e44efc 344616 aptitude-doc-cs_0.4.11.3-1_all.deb
 c93481a19737d049a963abd9910d634487e40e8fe73534c98d89ab95413ae1b0 352134 aptitude-doc-en_0.4.11.3-1_all.deb
 a52f9b402b629401954888ac52f39f5235f75b07a51d25b99ac6f2cb4f530789 263082 aptitude-doc-fi_0.4.11.3-1_all.deb
 8d13ed90dd02e350ee227abe700c00b49a903307d7474eb4bc716f566eedbab2 297042 aptitude-doc-fr_0.4.11.3-1_all.deb
 c83f45e73ea0d15b590de06c31cad63d1fd6112e28da37968683292fdd979509 362578 aptitude-doc-ja_0.4.11.3-1_all.deb
 c2101de9b4110117dbe47556681f21c5e06c90fa943b2a8a18a4a6e5edc61ae1 2837896 aptitude_0.4.11.3-1_i386.deb
 de306d430effc4e3a56e9a881f6acc2037fc2c9720a41769cce0abc8fabf6540 6749638 aptitude-dbg_0.4.11.3-1_i386.deb
Files: 
 50725fb7256815550bda6e409543aab2 1382 admin - aptitude_0.4.11.3-1.dsc
 834eddf27d6c58454142f3ce5d73ee83 5664563 admin - aptitude_0.4.11.3.orig.tar.gz
 954f7aad7b1183f21f9686a2341ec021 34921 admin - aptitude_0.4.11.3-1.diff.gz
 c1ee3d1a199f8e2e357f526890e8ae62 344616 doc optional aptitude-doc-cs_0.4.11.3-1_all.deb
 3a186fc39565289556ceb545da585b33 352134 doc optional aptitude-doc-en_0.4.11.3-1_all.deb
 6c1c0eb5b75ba927cf7db049add26822 263082 doc optional aptitude-doc-fi_0.4.11.3-1_all.deb
 d2948b257523b03edd72c8d1d0f677aa 297042 doc optional aptitude-doc-fr_0.4.11.3-1_all.deb
 288f429d5e545c0f523ae65e4fea8c1b 362578 doc optional aptitude-doc-ja_0.4.11.3-1_all.deb
 9cd9def7c169fe088eb436fb9c370bd2 2837896 admin important aptitude_0.4.11.3-1_i386.deb
 98c2e231882bf0831db1b117574cc19f 6749638 devel extra aptitude-dbg_0.4.11.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIO5vIch6xsM7kSXgRAmsNAJ9oYuR219IJXqUp8Cp7VI1UqchqNgCg8VET
LEjOmb/kA7Pg+udGOe8L8tM=
=J/T+
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480533; Package perl-base. Full text and rfc822 format available.

Acknowledgement sent to Riccardo Stagni <unriccio@email.it>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #95 received at 480533@bugs.debian.org (full text, mbox):

From: Riccardo Stagni <unriccio@email.it>
To: 480533@bugs.debian.org, 480553-done@bugs.debian.org, dburrows@debian.org
Cc: control@bugs.debian.org
Subject: wrong bug
Date: Tue, 27 May 2008 14:51:46 +0200
[Message part 1 (text/plain, inline)]
fixed 480553 0.4.11.3-1
reopen 480533
thanks

typo in aptitude changelog

ciao
Riccardo
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Tue, 27 May 2008 13:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480533; Package perl-base. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #102 received at 480533@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Burrows <dburrows@debian.org>
Cc: 480533@bugs.debian.org
Subject: Re: Bug#480533 closed by Daniel Burrows <dburrows@debian.org> (Bug#480533: fixed in aptitude 0.4.11.3-1)
Date: Wed, 28 May 2008 08:31:47 +0200
reopen 480533 !
thanks

You closed the wrong bug.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480533; Package perl-base. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #107 received at 480533@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 480533@bugs.debian.org
Subject: Re: Debian bug #480533
Date: Sat, 31 May 2008 21:39:48 +0300
On Sat, May 31, 2008 at 09:29:19AM +0300, Niko Tyni wrote:

> Brendan, could you please handle this? I suppose there's no choice
> but move the whole /usr/share/perl/5.10/unicore/lib/gc_sc/ into
> perl-base. There are many files but they make up just 250k or so
> altogether.

Hm, reading /usr/share/perl/5.10/utf8_heavy.pl, it looks like we should
move the whole /usr/share/perl/5.10/unicore/lib directory (not just gc_sc)
into perl-base to do this "right".

I tried that at home, and it bloats perl-base quite effectively, almost
doubling the Installed-Size:

- size 925160 bytes: control archive= 3221 bytes.
-     958 bytes,    21 lines      control              
-    5718 bytes,    83 lines      md5sums              
+ size 1027312 bytes: control archive= 15497 bytes.
+     960 bytes,    21 lines      control              
+   43755 bytes,   544 lines      md5sums              

- Installed-Size: 2524
+ Installed-Size: 4540

Brendan, any opinion?
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480533; Package perl-base. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #112 received at 480533@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: control@bugs.debian.org
Cc: 144193@bugs.debian.org, 357663@bugs.debian.org, 412542@bugs.debian.org, 417528@bugs.debian.org, 443733@bugs.debian.org, 447830@bugs.debian.org, 448204@bugs.debian.org, 475498@bugs.debian.org, 479434@bugs.debian.org, 479540@bugs.debian.org, 479698@bugs.debian.org, 479957@bugs.debian.org, 480428@bugs.debian.org, 480480@bugs.debian.org, 480533@bugs.debian.org, 480565@bugs.debian.org, 480719@bugs.debian.org, 480997@bugs.debian.org, 481956@bugs.debian.org, 482110@bugs.debian.org, 483144@bugs.debian.org, 483734@bugs.debian.org, 484681@bugs.debian.org, 485416@bugs.debian.org
Subject: setting package to perl-debug perl-modules perl libcgi-fast-perl libperl5.10 libperl-dev perl-base perl-doc perl-suid ...
Date: Mon, 16 Jun 2008 08:55:06 +0300
# Automatically generated email from bts, devscripts version 2.10.29
#
# perl (5.10.0-11) unstable; urgency=low
#
#  * Upgrade libfile-temp-perl conflict to (<= 0.18). (Closes: #480719)
#  * Fix Math::BigFloat::sqrt() breaking with too many digits. (Closes:
#    #417528)
#  * Remove numeric overloading of Getopt::Long callback functions.
#    (Closes: #479434)
#  * Fix a segmentation fault occurring in the mod_perl2 test suite.
#    (Closes: #475498)
#  * Fix the PerlIO_teardown prototype to suppress a compiler warning.
#    (Closes: #479540)
#  * Make pod2man handle headings starting with groff special characters.
#    (Closes: #448204)
#  * Fix pod2man overescaping dashes with non-ascii characters. (Closes:
#    #480565)
#  * Integrate some documentation fixes from upstream. (Closes: #357663,
#    #443733, #412542)
#  * Fix a typo in perlpodspec.pod. (Closes: #447830)
#  * Fix 'constant subroutine SEEK_* redefined' warnings when using the
#    Fcntl and POSIX modules together. (Closes: #479957)
#  * Add conflicts/replaces/provides for libpod-simple-perl. (Closes: #481956)
#  * Fix crashes on @ISA fiddling. (Closes: #480480)
#  * Fix building with DEB_BUILD_OPTIONS=noopt. (Closes: #482110)
#  * Remove the __LONG_MAX__ kludge introduced in 5.8.1-1, it shouldn't be
#    needed anymore and emits warnings. (Closes: #480428)
#  * Fix broken file uploads with CGI.pm caused by an accidental
#    stringifying of a file handle. (Closes: #483144)
#  * Make the '-x' test work with 'use filetest q/access/'. (Closes:
#    #483734)
#  * Update to Pod::Man 2.17 from podlators-2.1.0 to get the new "pod2man
#    --utf8" functionality. (Closes: #480997)
#  * Update the description of the perl-base package. Thanks to Justin B Rye.
#    (Closes: #484681, #144193)
#  * Fix a reference counting bug in PerlIO::via that broke the svk
#    package. (Closes: #479698)
#  * Move /usr/share/perl/5.10/unicore/lib into perl-base. (Closes: #480533)
#  * Add conflicts/replaces/provides for libextutils-parsexs-perl.
#    (Closes: #485416)
#

package perl-debug perl-modules perl libcgi-fast-perl libperl5.10 libperl-dev perl-base perl-doc perl-suid
tags 475498 + pending
tags 479540 + pending
tags 480428 + pending
tags 483734 + pending
tags 412542 + pending
tags 479434 + pending
tags 481956 + pending
tags 482110 + pending
tags 480997 + pending
tags 144193 + pending
tags 480719 + pending
tags 480480 + pending
tags 357663 + pending
tags 417528 + pending
tags 483144 + pending
tags 447830 + pending
tags 484681 + pending
tags 479957 + pending
tags 448204 + pending
tags 485416 + pending
tags 480533 + pending
tags 480565 + pending
tags 479698 + pending
tags 443733 + pending





Tags added: pending Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 16 Jun 2008 05:57:43 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 03 Aug 2008 19:27:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480533; Package perl-base. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #121 received at 480533@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: debian-boot@lists.debian.org
Cc: 480533@bugs.debian.org
Subject: Bug #480533: "uninitialized value" warnings from Perl during install
Date: Mon, 4 Aug 2008 23:54:54 +0300
Hi d-i folks,

I'd like to finally fix the "perl-base utf8 warning bug" (#480533)
by moving /usr/share/perl/5.10/unicore/lib from perl into perl-base.
Apologies for the delay, I won't bore you with my explanations.

Is the change still OK with you this late? We think it's the right thing to
do and I've got an ack from the release team to let the change in lenny,
so it's all up to you.

The fix would almost double the perl-base Installed-Size:

> - size 925160 bytes: control archive= 3221 bytes.
> -     958 bytes,    21 lines      control              
> -    5718 bytes,    83 lines      md5sums              
> + size 1027312 bytes: control archive= 15497 bytes.
> +     960 bytes,    21 lines      control              
> +   43755 bytes,   544 lines      md5sums              
> 
> - Installed-Size: 2524
> + Installed-Size: 4540
 
Cheers,
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480533; Package perl-base. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #126 received at 480533@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Niko Tyni <ntyni@debian.org>
Cc: debian-boot@lists.debian.org, 480533@bugs.debian.org
Subject: Re: Bug #480533: "uninitialized value" warnings from Perl during install
Date: Mon, 04 Aug 2008 18:44:20 -0300
Niko Tyni <ntyni@debian.org> writes:

> Hi d-i folks,
>
> I'd like to finally fix the "perl-base utf8 warning bug" (#480533)
> by moving /usr/share/perl/5.10/unicore/lib from perl into perl-base.
> Apologies for the delay, I won't bore you with my explanations.
>
> Is the change still OK with you this late? We think it's the right thing to
> do and I've got an ack from the release team to let the change in lenny,
> so it's all up to you.
>
> The fix would almost double the perl-base Installed-Size:
>
>> - size 925160 bytes: control archive= 3221 bytes.
>> -     958 bytes,    21 lines      control              
>> -    5718 bytes,    83 lines      md5sums              
>> + size 1027312 bytes: control archive= 15497 bytes.
>> +     960 bytes,    21 lines      control              
>> +   43755 bytes,   544 lines      md5sums              
>> 
>> - Installed-Size: 2524
>> + Installed-Size: 4540

Yes. Even I don't like the solution it looks to be the best and safest
solution to be done now.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #131 received at 480533-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 480533-close@bugs.debian.org
Subject: Bug#480533: fixed in perl 5.10.0-12
Date: Tue, 05 Aug 2008 13:02:14 +0000
Source: perl
Source-Version: 5.10.0-12

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.0-12_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.0-12_all.deb
libperl-dev_5.10.0-12_amd64.deb
  to pool/main/p/perl/libperl-dev_5.10.0-12_amd64.deb
libperl5.10_5.10.0-12_amd64.deb
  to pool/main/p/perl/libperl5.10_5.10.0-12_amd64.deb
perl-base_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl-base_5.10.0-12_amd64.deb
perl-debug_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl-debug_5.10.0-12_amd64.deb
perl-doc_5.10.0-12_all.deb
  to pool/main/p/perl/perl-doc_5.10.0-12_all.deb
perl-modules_5.10.0-12_all.deb
  to pool/main/p/perl/perl-modules_5.10.0-12_all.deb
perl-suid_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl-suid_5.10.0-12_amd64.deb
perl_5.10.0-12.diff.gz
  to pool/main/p/perl/perl_5.10.0-12.diff.gz
perl_5.10.0-12.dsc
  to pool/main/p/perl/perl_5.10.0-12.dsc
perl_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl_5.10.0-12_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Aug 2008 14:17:05 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: source all amd64
Version: 5.10.0-12
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.10 - Shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Closes: 144193 357663 412542 417528 443733 447830 475498 479434 479540 479957 480375 480385 480428 480480 480533 480719 481956 482110 483734 484681 485416
Changes: 
 perl (5.10.0-12) unstable; urgency=low
 .
   * Acknowledge NMU, thanks Bastian.
   * Bugfix release targeted for lenny.
   * Upgrade libfile-temp-perl conflict to (<= 0.18). (Closes: #480719)
   * Add upstream integration status information into debian/patches
     where applicable.
   * Add Vcs-Git and Vcs-Browser information in debian/control.
   * Fix Math::BigFloat::sqrt() breaking with too many digits. (Closes:
     #417528)
   * Remove numeric overloading of Getopt::Long callback functions.
     (Closes: #479434)
   * Support GNU/Hurd and GNU/kFreeBSD in Module::Build and
     ExtUtils::CBuilder. (Closes: #480385, #480375)
   * Fix a segmentation fault occurring in the mod_perl2 test suite.
     (Closes: #475498)
   * Fix the PerlIO_teardown prototype to suppress a compiler warning.
     (Closes: #479540)
   * Integrate some documentation fixes from upstream. (Closes: #357663,
     #443733, #412542)
   * Mention the relation between 'eval "require Foo"' and
     PERL_DL_NONLAZY in the 'perldoc -f eval' documentation . (See
     #479711).
   * Fix a typo in perlpodspec.pod. (Closes: #447830)
   * Fix 'constant subroutine SEEK_* redefined' warnings when using the
     Fcntl and POSIX modules together. (Closes: #479957)
   * Add conflicts/replaces/provides for libpod-simple-perl. (Closes: #481956)
   * Fix crashes on @ISA fiddling. (Closes: #480480)
   * Fix building with DEB_BUILD_OPTIONS=noopt. (Closes: #482110)
   * Remove the __LONG_MAX__ kludge introduced in 5.8.1-1, it shouldn't be
     needed anymore and emits warnings. (Closes: #480428)
   * Make the '-x' test work with 'use filetest q/access/'. (Closes:
     #483734)
   * Update the description of the perl-base package. Thanks to Justin B Rye.
     (Closes: #484681, #144193)
   * Move /usr/share/perl/5.10/unicore/lib into perl-base. (Closes: #480533)
   * Add conflicts/replaces/provides for libextutils-parsexs-perl.
     (Closes: #485416)
Checksums-Sha1: 
 f39a235f34bcb70959a5ada229dcb48d4667ee5f 1299 perl_5.10.0-12.dsc
 497dacd27e31eea000ffda7b6b4dc34ed33100f3 115136 perl_5.10.0-12.diff.gz
 c9533460d3b8331aba52d481c15bfe11a79edef3 43520 libcgi-fast-perl_5.10.0-12_all.deb
 430e14793340524848d6079c78781eb0138c7e55 8241758 perl-doc_5.10.0-12_all.deb
 23ba9782f92fd8607463e035089035a66c912110 3191382 perl-modules_5.10.0-12_all.deb
 3ec51fa5aa3b50f6e590bbbbacd9d7a07ee49071 1046422 perl-base_5.10.0-12_amd64.deb
 1b9b26a51034d93af3d689c87ea04828fd6eb8c2 5538598 perl-debug_5.10.0-12_amd64.deb
 d9c124e3788820ee72ff14f57cc1b5b098585dda 31454 perl-suid_5.10.0-12_amd64.deb
 09cc821092993c785878e2e70f4d250ff7783dc2 1010 libperl5.10_5.10.0-12_amd64.deb
 b9b4af8f4701f38b25c12d32479f928b112fa8dc 2595932 libperl-dev_5.10.0-12_amd64.deb
 8b4a2be38ecc895aa310b3c9c987e75c0ffef324 5247804 perl_5.10.0-12_amd64.deb
Checksums-Sha256: 
 3a2d3ce93810dd472fcb6b150ba8890d9826754b09c8a0f2e8741f8e53552103 1299 perl_5.10.0-12.dsc
 94d3e19a4156d7fc4833a6d7e181fe052bb6a0cdf6f2222b10886053e1179373 115136 perl_5.10.0-12.diff.gz
 9d5d6e0e969b4b929e1fb975148348f6a911a9d32b54c8241ee514002b38c1df 43520 libcgi-fast-perl_5.10.0-12_all.deb
 588ea12f2a9dc97d10df028be8e135a4891bd02231880cfad4a828f7fddcd267 8241758 perl-doc_5.10.0-12_all.deb
 4ffe5716ce519afe3c6f5ebc27e2d1320786a9ac8f9bc45de2801a07df575f8e 3191382 perl-modules_5.10.0-12_all.deb
 336ca946c41e00f00b34896bfb2d106e6dd74f06551fb7f391695f454311299c 1046422 perl-base_5.10.0-12_amd64.deb
 c84eb217d1cdf8e02f0ba434601b6205850d2e4f87fa8800afd56afd6c8be558 5538598 perl-debug_5.10.0-12_amd64.deb
 620c8c410d0b7fd1e5b820d1fefafbe2848f6188ea6fc6914156b818284a8c40 31454 perl-suid_5.10.0-12_amd64.deb
 6c6a5b58bad8faf6a0be8786ce059682ad93f27958f517c9835c2a2996607c53 1010 libperl5.10_5.10.0-12_amd64.deb
 947a190bd19b0fb89f0d00984717b99e0c3d2ea073f67938d50b5eed1339cb95 2595932 libperl-dev_5.10.0-12_amd64.deb
 e2429373dc9e044aed10185d88d2859d256c8bca07d8f04f986eef8e94935fd9 5247804 perl_5.10.0-12_amd64.deb
Files: 
 11929bb9461f44903a3c36e2f5922a53 1299 perl standard perl_5.10.0-12.dsc
 dbb85dc5125a850f928d4a2676b421a5 115136 perl standard perl_5.10.0-12.diff.gz
 3e1e3dd6a4c5c84055783fc1f7a461f9 43520 perl optional libcgi-fast-perl_5.10.0-12_all.deb
 4ef8dccd398d82f8db45db66ddf5deec 8241758 doc optional perl-doc_5.10.0-12_all.deb
 4147011e2db190b58f0e93c216050203 3191382 perl standard perl-modules_5.10.0-12_all.deb
 0201727f452bccbda4e0f3beff311b28 1046422 perl required perl-base_5.10.0-12_amd64.deb
 4a89c8cf7cabfb4319a1c3014202f06d 5538598 perl optional perl-debug_5.10.0-12_amd64.deb
 d47cded6387c818ef88f3a8baa8db148 31454 perl optional perl-suid_5.10.0-12_amd64.deb
 980ff59037abc8b320aad2edf27fb21f 1010 libs optional libperl5.10_5.10.0-12_amd64.deb
 ad39b06c6c1902f738a31aa63488dd20 2595932 libdevel optional libperl-dev_5.10.0-12_amd64.deb
 4618c81b28c3ef945ca3ddfef5dc1350 5247804 perl standard perl_5.10.0-12_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFImEJ3iyizGWoHLTkRAg04AKDRISJxLVnzA9W0RZZLD2I7UvYiPwCfVIRu
EUlrQCO/oJWhNvqc8r4fKuQ=
=kSi2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Sep 2008 07:27:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:58:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.